OuterJoinRecordReader (Apache Hadoop Main 3.5.0 API)
Description: declaration: package: org.apache.hadoop.mapreduce.lib.join, class: OuterJoinRecordReader

Package org.apache.hadoop.mapreduce.lib.join

# Class OuterJoinRecordReader<K extends WritableComparable<?>>

java.lang.Object
org.apache.hadoop.mapreduce.RecordReader<K,V>
org.apache.hadoop.mapreduce.lib.join.ComposableRecordReader<K,X>
org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader<K,Writable,TupleWritable>
org.apache.hadoop.mapreduce.lib.join.JoinRecordReader<K>
org.apache.hadoop.mapreduce.lib.join.OuterJoinRecordReader<K>

All Implemented Interfaces:
  `Closeable`, `AutoCloseable`, `Comparable<ComposableRecordReader<K,?>>`, `Configurable`

@Public @Stable public class OuterJoinRecordReader<K extends WritableComparable<?>> extends JoinRecordReader<K>
Full outer join.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.join.JoinRecordReader

  `org.apache.hadoop.mapreduce.lib.join.JoinRecordReader.JoinDelegationIterator`

  ## Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader

  `org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader.JoinCollector`

- ## Field Summary

  ### Fields inherited from class org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader

  `conf, jc, key, keyclass, kids, value`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected boolean`
  `combine(Object[] srcs, TupleWritable dst)`
  Emit everything from the collector.

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.JoinRecordReader

  `createValue, getDelegate, nextKeyValue`

  ### Methods inherited from class org.apache.hadoop.mapreduce.lib.join.CompositeRecordReader

  `accept, add, close, compareTo, createKey, createTupleWritable, fillJoinCollector, getComparator, getConf, getCurrentKey, getCurrentValue, getProgress, getRecordReaderQueue, hasNext, id, initialize, key, key, setConf, skip`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### combine

    protected boolean combine(Object[] srcs, TupleWritable dst)
    Emit everything from the collector.
    Specified by:
      `combine` in class `CompositeRecordReader<K extends WritableComparable<?>,Writable,TupleWritable>`